Tasuku
ReferenceAPI referenceReviews

List pull requests with latest review and finding counts

GET/organizations/{organization_id}/pull-requests

Authorization

tasuku_session<token>

In: cookie

Path Parameters

organization_id*string
Length1 <= length <= 128

Query Parameters

state?string

Value in

  • "OPEN"
  • "CLOSED"
  • "MERGED"
search?string
cursor?string
page_size?integer
Range1 <= value <= 100
Default20

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/organizations/string/pull-requests"
{  "data": [    {      "id": "string",      "repository_id": "string",      "repository": "string",      "number": 1,      "title": "string",      "author_login": "string",      "state": "OPEN",      "review_status": "string",      "open_findings": 0,      "resolved_findings": 0,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "meta": {    "previous_cursor": "string",    "next_cursor": "string"  }}